Subject: bug#58728: 29.0.50; Minibuffer does not follow tabs

From: Juri Linkov <[email-masked]>
Date: Sun, 30 Oct 2022 09:34:15 +0200

close 58728 29.0.50
thanks

>> Actually, it's possible not to mess with minibiffers
>> with window-configurations as well:
>>
>>     1. emacs -Q
>>     2. M-: (setq wc (current-window-configuration))
>>     3. C-x C-f
>>     4. M-x
>>     5. M-: (set-window-configuration wc nil 'DONT-SET-MINIWINDOW)
>>     6. C-g
>>
>> Please try such a patch:
>> [patch...]
>
> This works exactly like I want to!  One minor nit: it does not preserve
> the minibuffer focus so you can end up with the minibuffer selected in
> some tabs but not in others when switching however, this is the same
> behaviour when switching frames too so I can put up with it just fine.

I don't know how to preserve the minibuffer focus in case of switching frames,
but it was easy to implement for tabs.  So now this is pushed.  Thanks for
helping to fix this issue.

PS: A variable corresponding to minibuffer-follows-selected-frame
could be added too when someone will ask for it.  But currently
I see no need for such a variable because tabs are quite different
from frames: the active minibuffer can be visible in another frame
as a visual reminder that there are active minibuffers, but not so
in case of tabs when the active minibuffer is hidden in another tab.